﻿unit Unit1;

interface

uses
  Enums.TSendMethod,System.DateUtils, Model, NikSms, Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    PtpSms: TButton;
    ResetReceiveSmsVisitedStatus: TButton;
    Memo3: TMemo;
    Label4: TLabel;
    Label3: TLabel;
    Label2: TLabel;
    Label1: TLabel;
    GroupSms: TButton;
    GetSmsDelivery: TButton;
    GetReceiveSms: TButton;
    GetPanelExpireDate: TButton;
    GetDiscountCredit: TButton;
    GetCredit: TButton;
    EditUsername: TEdit;
    EditTestNumber: TEdit;
    EditSnderNumber: TEdit;
    EditPassword: TEdit;
    GetServerTime: TButton;
    procedure GetCreditClick(Sender: TObject);
    procedure GroupSmsClick(Sender: TObject);
    procedure PtpSmsClick(Sender: TObject);
    procedure GetReceiveSmsClick(Sender: TObject);
    procedure GetDiscountCreditClick(Sender: TObject);
    procedure GetSmsDeliveryClick(Sender: TObject);
    procedure GetServerTimeClick(Sender: TObject);
    procedure ResetReceiveSmsVisitedStatusClick(Sender: TObject);
    procedure GetPanelExpireDateClick(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.GetCreditClick(Sender: TObject);
var
nik : NikSmsClass;
getCreditOutput : integer;
begin
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  getCreditOutput := nik.GetCredit();

  Memo3.Text := getCreditOutPut.ToString();
end;

procedure TForm1.GetDiscountCreditClick(Sender: TObject);
var
nik : NikSmsClass;
getDiscountCredit : Integer;
begin
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  getDiscountCredit := nik.GetDiscountCredit();

  Memo3.Text := getDiscountCredit.ToString();

end;

procedure TForm1.GetPanelExpireDateClick(Sender: TObject);
var
rItem : GetReceiveSmsModel;
nik : NikSmsClass;
getPanelExpireDate : TDateTime;
begin
  rItem := rItem.Create();
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  getPanelExpireDate := nik.GetPanelExpireDate();

  Memo3.Clear();
  Memo3.Text := DateTimeToStr(getPanelExpireDate);
end;

procedure TForm1.GetReceiveSmsClick(Sender: TObject);
var
rItem : GetReceiveSmsModel;
nik : NikSmsClass;
//getReceiveSms : NikSmsClass.TGetReceiveSmsModelArray;
getReceiveSms : string;
begin
  rItem := GetReceiveSmsModel.Create();
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Get);
  getReceiveSms := nik.GetReceiveSms(StrToDateTime('9/9/2015'),StrToDateTime('3/2/2016'));

  Memo3.Clear();
  Memo3.Text := getReceiveSms;
end;

procedure TForm1.GetServerTimeClick(Sender: TObject);
var
nik : NikSmsClass;
getServerTimeOutput : TDateTime;
begin
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  getServerTimeOutput := nik.GetServertime();

  Memo3.Text := DateTimeToStr(getServerTimeOutput);

end;

procedure TForm1.GetSmsDeliveryClick(Sender: TObject);
var
nik : NikSmsClass;
//getSmsDeliveryOutput : NikSmsClass.TEnumsTSmsStatusArray;
getSmsDeliveryOutput : string;
begin
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  getSmsDeliveryOutput := nik.GetSmsDelivery('345394434,2344423');

  Memo3.Text := getSmsDeliveryOutput;
end;

procedure TForm1.GroupSmsClick(Sender: TObject);
var
nik : NikSmsClass;
//getCreditOutput : ReturnSmsResult;
getCreditOutput : string;
begin
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  getCreditOutput := nik.GroupSms(EditSnderNumber.Text,EditTestNumber.Text,Now,1,'','تست');

  Memo3.Text := getCreditOutPut;
end;

procedure TForm1.PtpSmsClick(Sender: TObject);
var
nik : NikSmsClass;
//getCreditOutput : ReturnSmsResult;
getCreditOutput : string;
begin
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  getCreditOutput := nik.PtpSms(EditSnderNumber.Text,EditTestNumber.Text,Now,1,'','تست دلفی');
  Memo3.Text := getCreditOutPut;
end;

procedure TForm1.ResetReceiveSmsVisitedStatusClick(Sender: TObject);
var
nik : NikSmsClass;
resetVisitedOutput : Boolean;
begin
  nik := NikSmsClass.Create(EditUsername.Text,EditPassword.Text,TSendMethod.Post);
  resetVisitedOutput := nik.ResetReceiveSmsVisitedStatus(StrToDateTime('9/9/2015'),StrToDateTime('3/2/2016'));
      if resetVisitedOutput = True then
        Memo3.Text := 'true';

      if resetVisitedOutput = False then
        Memo3.Text := 'false';
end;

end.
